templates:
- code-corlab
- cmake-cpp
- base

catalog:
  title: Robot Control Interface

variables:
  description: >-
    The Robot Control Interface (RCI) is a a framework for
    specification and implementation of interfaces for compliant robot
    platforms, developed in the AMARSi project together with the
    component framework CCA (Compliant Control Architecture)

    RCI was based on a extensive feature-oriented domain analysis on
    compliant robots and their control software, which is documented
    in the AMARSi Deliverable D 7.1. It`s main outcome is the concept
    of the so called Resource Nodes and splitting of the interface in
    Controlling and Sensing aspects. The Synchronizer concepts cares
    for keeping the resource nodes and the actual backend (Simulation
    or hardware drivers) in sync.
  keywords:
  - interface
  - control
  - robot control

  redmine-project: rci

  repository: https://code.cor-lab.de/svn/rci
  sub-directory: rci
  branches:
  - trunk
  tags:
  - rci-0.4

  cmake.options:toolkit:
  - BUILD_TESTS=OFF
  - BUILD_EXAMPLES=OFF
  - '@{cmake.options:default|[]}'
